	import * as THREE from 'three';

	// septum
	export function spte(length=2000) {
		const septumSR = new THREE.Object3D();
		const dmaterial = new THREE.MeshLambertMaterial({color: 0xf0f0f0});
		const d1geometry = new THREE.CylinderGeometry(400, 400, length, 25);
		const d1mesh = new THREE.Mesh(d1geometry, dmaterial);
		septumSR.add(d1mesh);				
		septumSR.rotateX(Math.PI * 0.5);
		septumSR.rotatedX = true;	

		// left
		const lrgeometry = new THREE.CylinderGeometry(550, 550, 100, 25);
		const d2mesh = new THREE.Mesh(lrgeometry, dmaterial);
		d2mesh.position.set(0, -length/2-50, 0);
		septumSR.add(d2mesh);

		// right
		const d3mesh = new THREE.Mesh(lrgeometry, dmaterial);
		d3mesh.position.set(0, length/2+50, 0);
		septumSR.add(d3mesh);

		// up1
		const udgeometry = new THREE.CylinderGeometry(200, 200, 100, 25);
		const d4mesh = new THREE.Mesh(udgeometry, dmaterial);
		d4mesh.rotateX(Math.PI * 0.5);
		d4mesh.rotateY(Math.PI * 1);
		d4mesh.rotateZ(Math.PI * 1);
		d4mesh.position.set(0, -length/4 , -430);		
		septumSR.add(d4mesh);

		// up2
		const d5mesh = new THREE.Mesh(udgeometry, dmaterial);
		d5mesh.rotateX(Math.PI * 0.5);
		d5mesh.rotateY(Math.PI * 1);
		d5mesh.rotateZ(Math.PI * 1);
		d5mesh.position.set(0, length/4 , -430);		
		septumSR.add(d5mesh);

		return septumSR;
	}
